## org.apache.myfaces.custom.newspaper
Class HtmlNewspaperTableTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          javax.faces.webapp.UIComponentBodyTag
              org.apache.myfaces.taglib.UIComponentBodyTagBase
                  org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
                      org.apache.myfaces.taglib.html.HtmlDataTableTagBase
                          org.apache.myfaces.custom.newspaper.HtmlNewspaperTableTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlNewspaperTableTag
extends HtmlDataTableTagBase

Tag for a table in multiple balanced columns.

Author:
  Jesse Wilson

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentBodyTag
`bodyContent`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlNewspaperTableTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setNewspaperColumns(java.lang.String newspaperColumns)`
`protected void` `setProperties(javax.faces.component.UIComponent component)` Apply properties from this tag to the specified component.

Methods inherited from class org.apache.myfaces.taglib.html.HtmlDataTableTagBase
`setAlign, setBgcolor, setBorder, setCellpadding, setCellspacing, setColumnClasses, setColumns, setDatafld, setDataformatas, setDatasrc, setFirst, setFooterClass, setFrame, setHeaderClass, setRowClasses, setRows, setRules, setSummary, setVar, setWidth`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentBodyTagBase
`doEndTag, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setIntegerProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentBodyTag
`doAfterBody, doInitBody, getBodyContent, getDoAfterBodyValue, getDoStartValue, getPreviousOut, setBodyContent`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### HtmlNewspaperTableTag

    public HtmlNewspaperTableTag()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlDataTableTagBase`

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### setNewspaperColumns

    public void setNewspaperColumns(java.lang.String newspaperColumns)

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Apply properties from this tag to the specified component.

  Overrides:
    `setProperties` in class `HtmlDataTableTagBase`